/*
    PGconnection.java - A Java class to manage Postgres95 connection
    Copyright (C) 1996  John F. Kelly

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


package postgres;

/**
 * Indicates a problem with a Postgres call
 * @version 	0.2, 23 Mar 1996
 * @author 	John F. Kelly
 */
public
class PGexception extends RuntimeException {
    /**
     * Constructs a PGexception with no detail message.
     * A detail message is a String that describes this particular exception.
     */
    public PGexception() {
	super();
    }

    /**
     * Constructs a PGexception with the specified detail message.
     * A detail message is a String that describes this particular exception.
     * @param s the String containing a detail message
     */
    public PGexception(String s) {
	super(s);
    }
}

